Class List Method List File List

# Module: Yast::IscsiClientWizardsInclude

Defined in:
  ../../src/include/iscsi-client/wizards.rb

## Instance Method Summary (collapse)

- - (Object) initialize_iscsi_client_wizards(include_target)
- - (Object) IscsiClientAutoSequence

  Whole configuration of iscsi-client but without reading and writing.

- - (Object) IscsiClientSequence

  Whole configuration of iscsi-client.

- - (Object) MainSequence

  Main workflow of the iscsi-client configuration.

## Instance Method Details

### - (`Object`) initialize_iscsi_client_wizards(include_target)

    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    # File '../../src/include/iscsi-client/wizards.rb', line 32

    def initialize_iscsi_client_wizards(include_target)
      Yast.import "UI"

      textdomain "iscsi-client"

      Yast.import "Sequencer"
      Yast.import "Wizard"

      Yast.include include_target, "iscsi-client/complex.rb"
      Yast.include include_target, "iscsi-client/dialogs.rb"
    end

### - (`Object`) IscsiClientAutoSequence

Whole configuration of iscsi-client but without reading and writing. For use with autoinstallation.

Returns:

- sequence result

    115
    116
    117
    118
    119
    120
    121
    122
    123
    124
    125
    126
    127
    128
    129
    130
    131
    132
    133
    134
    # File '../../src/include/iscsi-client/wizards.rb', line 115

    def IscsiClientAutoSequence
      # Initialization dialog caption
      caption = _("iSCSI Initiator Configuration")
      # Initialization dialog contents
      contents = Label(_("Initializing..."))

      Wizard.CreateDialog
      Wizard.SetContentsButtons(
        caption,
        contents,
        "",
        Label.BackButton,
        Label.NextButton
      )

      ret = MainSequence()

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) IscsiClientSequence

Whole configuration of iscsi-client

Returns:

- sequence result

    89
    90
    91
    92
    93
    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    # File '../../src/include/iscsi-client/wizards.rb', line 89

    def IscsiClientSequence
      aliases = {
        "read"  => [lambda { ReadDialog() }, true],
        "main"  => lambda { MainSequence() },
        "write" => [lambda { WriteDialog() }, true]
      }

      sequence = {
        "ws_start" => "read",
        "read"     => { :abort => :abort, :next => "main" },
        "main"     => { :abort => :abort, :next => "write" },
        "write"    => { :abort => :abort, :next => :next }
      }

      Wizard.OpenCancelOKDialog
      Wizard.SetDesktopTitleAndIcon("iscsi-client") if Mode.normal

      ret = Sequencer.Run(aliases, sequence)

      UI.CloseDialog
      deep_copy(ret)
    end

### - (`Object`) MainSequence

Main workflow of the iscsi-client configuration

Returns:

- sequence result

    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    84
    85
    # File '../../src/include/iscsi-client/wizards.rb', line 46

    def MainSequence
      # FIXME: adapt to your needs
      aliases = {
        "global"    => lambda { GlobalDialog() },
        "disc_auth" => lambda { DiscAuthDialog("client") },
        "targets"   => lambda { TargetsDialog() },
        "conn_auth" => lambda { ConnAuthDialog("client") },
        "conn_disc" => lambda { ConnAuthDialog("discovered") },
        "edit_conn" => lambda { ConnAuthDialog("client") },
        "disc"      => lambda { DiscAuthDialog("discovered") }
      }

      # FIXME: adapt to your needs
      sequence = {
        "ws_start"  => "global",
        "global"    => {
          :abort => :abort,
          :next  => :next,
          :add   => "disc_auth",
          :edit  => "edit_conn",
          :conn  => "conn_disc",
          :disc  => "disc"
        },
        "disc_auth" => { :abort => :abort, :back => :back, :next => "targets" },
        "conn_disc" => { :abort => :abort, :back => :back, :next => "global" },
        "targets"   => {
          :abort     => :abort,
          :back      => :back,
          :next      => "global",
          :conn_auth => "conn_auth"
        },
        "conn_auth" => { :abort => :abort, :next => "targets" },
        "edit_conn" => { :abort => :abort, :next => "global" },
        "disc"      => { :abort => :abort, :back => :back, :next => "global" }
      }

      ret = Sequencer.Run(aliases, sequence)

      deep_copy(ret)
    end